> ## Documentation Index
> Fetch the complete documentation index at: https://hedera-0c6e0218-mintlify-bc559771.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get network stake information

> Returns the network's current stake information.



## OpenAPI

````yaml /openapi.yaml get /api/v1/network/stake
openapi: 3.0.3
info:
  title: Mirror Node REST API
  version: 0.154.0
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: >-
    The REST API offers the ability to query transactions and entity information
    from a mirror node.


    Base url: [/api/v1](/api/v1)


    OpenAPI Spec: [/api/v1/docs/openapi.yml](/api/v1/docs/openapi.yml)
  contact:
    name: Mirror Node Team
    email: mirrornode@hedera.com
    url: https://github.com/hiero-ledger/hiero-mirror-node
servers:
  - description: The current REST API server
    url: ''
  - description: The production REST API servers
    url: '{scheme}://{network}.mirrornode.hedera.com'
    variables:
      scheme:
        default: https
        description: The URI scheme
        enum:
          - http
          - https
      network:
        default: testnet
        description: The Hedera network in use
        enum:
          - mainnet-public
          - mainnet
          - previewnet
          - testnet
security: []
tags:
  - name: accounts
    description: >-
      The accounts object represents the information associated with an account
      entity and returns a list of account information.The accounts list
      endpoint is cached and not updated as frequently as the account lookup by
      a specific ID endpoint.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#accounts
  - name: balances
    description: >-
      The balance object represents the balance of accounts on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#balances
  - name: contracts
    description: >-
      The contracts objects represents the information associated with contract
      entities.The contracts list endpoint is cached and not updated as
      frequently as the contract lookup by a specific ID endpoint.
  - name: schedules
    description: >-
      The schedules object represents the information associated with a schedule
      entity.The schedules list endpoints is cached and not updated as
      frequently as the schedule lookup by a specific ID endpoint.
  - name: transactions
    description: >-
      The transaction object represents the transactions processed on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#transactions
  - name: topics
    description: >-
      The topics object represents the information associated with a topic
      entity and returns topic messages information.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#topic-messages
  - name: tokens
    description: >-
      The tokens object represents the information associated with a token
      entity and returns a list of token information.The tokens list endpoint is
      cached and not updated as frequently as the token lookup by a specific ID.
externalDocs:
  description: REST API Docs
  url: https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api
paths:
  /api/v1/network/stake:
    get:
      tags:
        - network
      summary: Get network stake information
      description: Returns the network's current stake information.
      operationId: getNetworkStake
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkStakeResponse'
        '400':
          $ref: '#/components/responses/InvalidParameterError'
        '404':
          $ref: '#/components/responses/NetworkStakeNotFound'
        '500':
          $ref: '#/components/responses/ServiceUnavailableError'
components:
  schemas:
    NetworkStakeResponse:
      type: object
      required:
        - max_stake_rewarded
        - max_staking_reward_rate_per_hbar
        - max_total_reward
        - node_reward_fee_fraction
        - reserved_staking_rewards
        - reward_balance_threshold
        - stake_total
        - staking_period
        - staking_period_duration
        - staking_periods_stored
        - staking_reward_fee_fraction
        - staking_reward_rate
        - staking_start_threshold
        - unreserved_staking_reward_balance
      properties:
        max_stake_rewarded:
          description: >
            The maximum amount of tinybar that can be staked for reward while
            still achieving

            the maximum per-hbar reward rate
          format: int64
          type: integer
        max_staking_reward_rate_per_hbar:
          description: >-
            The maximum reward rate, in tinybars per whole hbar, that any
            account can receive in a day
          type: integer
          format: int64
        max_total_reward:
          description: >
            The total tinybars to be paid as staking rewards in the ending
            period,

            after applying the settings for the 0.0.800 balance threshold and
            the maximum stake rewarded
          format: int64
          type: integer
        node_reward_fee_fraction:
          description: >-
            The fraction between zero and one of the network and service fees
            paid to the node reward account 0.0.801
          type: number
          format: float
        reserved_staking_rewards:
          description: >
            The amount of the staking reward funds of account 0.0.800 reserved
            to pay pending

            rewards that have been earned but not collected
          format: int64
          type: integer
        reward_balance_threshold:
          description: >
            The unreserved tinybar balance of account 0.0.800 required to
            achieve the

            maximum per-hbar reward rate
          format: int64
          type: integer
        stake_total:
          description: >-
            The total amount staked to the network in tinybars the start of the
            current staking period
          type: integer
          format: int64
        staking_period:
          allOf:
            - $ref: '#/components/schemas/TimestampRange'
            - description: The timestamp range of the staking period
        staking_period_duration:
          description: The number of minutes in a staking period
          type: integer
          format: int64
        staking_periods_stored:
          description: >-
            The number of staking periods for which the reward is stored for
            each node
          type: integer
          format: int64
        staking_reward_fee_fraction:
          description: >-
            The fraction between zero and one of the network and service fees
            paid to the staking reward account 0.0.800
          type: number
          format: float
        staking_reward_rate:
          description: >-
            The total number of tinybars to be distributed as staking rewards
            each period
          type: integer
          format: int64
        staking_start_threshold:
          description: >-
            The minimum balance of staking reward account 0.0.800 required to
            active rewards
          type: integer
          format: int64
        unreserved_staking_reward_balance:
          description: >
            The unreserved balance of account 0.0.800 at the close of the
            just-ending period;

            this value is used to compute the HIP-782 balance ratio
          format: int64
          type: integer
      example:
        max_stake_rewarded: 10
        max_staking_reward_rate_per_hbar: 17808
        max_total_reward: 20
        node_reward_fee_fraction: 1
        reserved_staking_rewards: 30
        reward_balance_threshold: 40
        stake_total: 35000000000000000
        staking_period:
          from: '1655164800.000000000'
          to: '1655251200.000000000'
        staking_period_duration: 1440
        staking_periods_stored: 365
        staking_reward_fee_fraction: 1
        staking_reward_rate: 100000000000
        staking_start_threshold: 25000000000000000
        unreserved_staking_reward_balance: 50
    TimestampRange:
      type: object
      description: A timestamp range an entity is valid for
      properties:
        from:
          allOf:
            - $ref: '#/components/schemas/Timestamp'
            - description: The inclusive from timestamp in seconds
        to:
          allOf:
            - $ref: '#/components/schemas/TimestampNullable'
            - description: The exclusive to timestamp in seconds
    Error:
      type: object
      properties:
        _status:
          type: object
          properties:
            messages:
              type: array
              items:
                type: object
                properties:
                  data:
                    description: Error message in hexadecimal
                    example: '0x3000'
                    format: binary
                    nullable: true
                    pattern: ^0x[0-9a-fA-F]+$
                    type: string
                  detail:
                    description: Detailed error message
                    example: Generic detailed error message
                    nullable: true
                    type: string
                  message:
                    description: Error message
                    example: Generic error message
                    nullable: false
                    type: string
    Timestamp:
      description: A Unix timestamp in seconds.nanoseconds format
      type: string
      example: '1586567700.453054000'
      pattern: ^\d{1,10}(\.\d{1,9})?$
    TimestampNullable:
      description: A Unix timestamp in seconds.nanoseconds format
      type: string
      example: '1586567700.453054000'
      pattern: ^\d{1,10}(\.\d{1,9})?$
      nullable: true
  responses:
    InvalidParameterError:
      description: Invalid parameter
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            _status:
              messages:
                - message: 'Invalid parameter: account.id'
                - message: >-
                    Invalid Transaction id. Please use \shard.realm.num-sss-nnn\
                    format where sss are seconds and nnn are nanoseconds
    NetworkStakeNotFound:
      description: No network stake data found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            _status:
              messages:
                - detail: No network stake data found
                  message: Not Found
    ServiceUnavailableError:
      description: Service Unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            _status:
              messages:
                - message: >-
                    Require at least 1/3 signature files to prove consensus, got
                    1 out of 4 for file 2019-10-11T13_33_25.526889Z.rcd_sig

````